import { Dealer } from "@/contexts/sales/domain/entities";
import { ISalesContext } from "@/contexts/sales/infrastructure/Sales.context";
import { ICreateDealer_Response_DTO } from "@shared/contexts";

export interface ICreateDealerPresenter {
  map: (dealer: Dealer, context: ISalesContext) => ICreateDealer_Response_DTO;
}

export const CreateDealerPresenter: ICreateDealerPresenter = {
  map: (dealer: Dealer, context: ISalesContext): ICreateDealer_Response_DTO => {
    return {
      id: dealer.id.toString(),
      name: dealer.name.toString(),
    };
  },
};
